package wtf.uuh.mc.roasty.client.ui.color

// https://material.io/design/color/the-color-system.html

val red50 get() = ColorComponents("#FFEBEE")
val red100 get() = ColorComponents("#FFCDD2")
val red200 get() = ColorComponents("#EF9A9A")
val red300 get() = ColorComponents("#E57373")
val red400 get() = ColorComponents("#EF5350")
val red500 get() = ColorComponents("#F44336")
val red600 get() = ColorComponents("#E53935")
val red700 get() = ColorComponents("#D32F2F")
val red800 get() = ColorComponents("#C62828")
val red900 get() = ColorComponents("#B71C1C")
val redA100 get() = ColorComponents("#FF8A80")
val redA200 get() = ColorComponents("#FF5252")
val redA400 get() = ColorComponents("#FF1744")
val redA700 get() = ColorComponents("#D50000")

val pink50 get() = ColorComponents("#FCE4EC")
val pink100 get() = ColorComponents("#F8BBD0")
val pink200 get() = ColorComponents("#F48FB1")
val pink300 get() = ColorComponents("#F06292")
val pink400 get() = ColorComponents("#EC407A")
val pink500 get() = ColorComponents("#E91E63")
val pink600 get() = ColorComponents("#D81B60")
val pink700 get() = ColorComponents("#C2185B")
val pink800 get() = ColorComponents("#AD1457")
val pink900 get() = ColorComponents("#880E4F")
val pinkA100 get() = ColorComponents("#FF80AB")
val pinkA200 get() = ColorComponents("#FF4081")
val pinkA400 get() = ColorComponents("#F50057")
val pinkA700 get() = ColorComponents("#C51162")

val purple50 get() = ColorComponents("#F3E5F5")
val purple100 get() = ColorComponents("#E1BEE7")
val purple200 get() = ColorComponents("#CE93D8")
val purple300 get() = ColorComponents("#BA68C8")
val purple400 get() = ColorComponents("#AB47BC")
val purple500 get() = ColorComponents("#9C27B0")
val purple600 get() = ColorComponents("#8E24AA")
val purple700 get() = ColorComponents("#7B1FA2")
val purple800 get() = ColorComponents("#6A1B9A")
val purple900 get() = ColorComponents("#4A148C")
val purpleA100 get() = ColorComponents("#EA80FC")
val purpleA200 get() = ColorComponents("#E040FB")
val purpleA400 get() = ColorComponents("#D500F9")
val purpleA700 get() = ColorComponents("#AA00FF")

val deepPurple50 get() = ColorComponents("#EDE7F6")
val deepPurple100 get() = ColorComponents("#D1C4E9")
val deepPurple200 get() = ColorComponents("#B39DDB")
val deepPurple300 get() = ColorComponents("#9575CD")
val deepPurple400 get() = ColorComponents("#7E57C2")
val deepPurple500 get() = ColorComponents("#673AB7")
val deepPurple600 get() = ColorComponents("#5E35B1")
val deepPurple700 get() = ColorComponents("#512DA8")
val deepPurple800 get() = ColorComponents("#4527A0")
val deepPurple900 get() = ColorComponents("#311B92")
val deepPurpleA100 get() = ColorComponents("#B388FF")
val deepPurpleA200 get() = ColorComponents("#7C4DFF")
val deepPurpleA400 get() = ColorComponents("#651FFF")
val deepPurpleA700 get() = ColorComponents("#6200EA")

val indigo50 get() = ColorComponents("#E8EAF6")
val indigo100 get() = ColorComponents("#C5CAE9")
val indigo200 get() = ColorComponents("#B39DDB")
val indigo300 get() = ColorComponents("#7986CB")
val indigo400 get() = ColorComponents("#5C6BC0")
val indigo500 get() = ColorComponents("#3F51B5")
val indigo600 get() = ColorComponents("#3949AB")
val indigo700 get() = ColorComponents("#303F9F")
val indigo800 get() = ColorComponents("#283593")
val indigo900 get() = ColorComponents("#1A237E")
val indigoA100 get() = ColorComponents("#8C9EFF")
val indigoA200 get() = ColorComponents("#536DFE")
val indigoA400 get() = ColorComponents("#3D5AFE")
val indigoA700 get() = ColorComponents("#304FFE")

val blue50 get() = ColorComponents("#E3F2FD")
val blue100 get() = ColorComponents("#BBDEFB")
val blue200 get() = ColorComponents("#90CAF9")
val blue300 get() = ColorComponents("#64B5F6")
val blue400 get() = ColorComponents("#42A5F5")
val blue500 get() = ColorComponents("#2196F3")
val blue600 get() = ColorComponents("#1E88E5")
val blue700 get() = ColorComponents("#1976D2")
val blue800 get() = ColorComponents("#1565C0")
val blue900 get() = ColorComponents("#0D47A1")
val blueA100 get() = ColorComponents("#82B1FF")
val blueA200 get() = ColorComponents("#448AFF")
val blueA400 get() = ColorComponents("#2979FF")
val blueA700 get() = ColorComponents("#2962FF")

val lightBlue50 get() = ColorComponents("#E1F5FE")
val lightBlue100 get() = ColorComponents("#B3E5FC")
val lightBlue200 get() = ColorComponents("#81D4FA")
val lightBlue300 get() = ColorComponents("#4FC3F7")
val lightBlue400 get() = ColorComponents("#29B6F6")
val lightBlue500 get() = ColorComponents("#03A9F4")
val lightBlue600 get() = ColorComponents("#039BE5")
val lightBlue700 get() = ColorComponents("#0288D1")
val lightBlue800 get() = ColorComponents("#0277BD")
val lightBlue900 get() = ColorComponents("#01579B")
val lightBlueA100 get() = ColorComponents("#80D8FF")
val lightBlueA200 get() = ColorComponents("#40C4FF")
val lightBlueA400 get() = ColorComponents("#00B0FF")
val lightBlueA700 get() = ColorComponents("#0091EA")

val cyan50 get() = ColorComponents("#E0F7FA")
val cyan100 get() = ColorComponents("#B2EBF2")
val cyan200 get() = ColorComponents("#80DEEA")
val cyan300 get() = ColorComponents("#4DD0E1")
val cyan400 get() = ColorComponents("#26C6DA")
val cyan500 get() = ColorComponents("#00BCD4")
val cyan600 get() = ColorComponents("#00ACC1")
val cyan700 get() = ColorComponents("#0097A7")
val cyan800 get() = ColorComponents("#00838F")
val cyan900 get() = ColorComponents("#006064")
val cyanA100 get() = ColorComponents("#84FFFF")
val cyanA200 get() = ColorComponents("#18FFFF")
val cyanA400 get() = ColorComponents("#00E5FF")
val cyanA700 get() = ColorComponents("#00B8D4")

val amber50 get() = ColorComponents("#FFF8E1")
val amber100 get() = ColorComponents("#FFECB3")
val amber200 get() = ColorComponents("#FFE082")
val amber300 get() = ColorComponents("#FFD54F")
val amber400 get() = ColorComponents("#FFCA28")
val amber500 get() = ColorComponents("#FFC107")
val amber600 get() = ColorComponents("#FFB300")
val amber700 get() = ColorComponents("#FFA000")
val amber800 get() = ColorComponents("#FF8F00")
val amber900 get() = ColorComponents("#FF6F00")
val amberA100 get() = ColorComponents("#FFE57F")
val amberA200 get() = ColorComponents("#FFD740")
val amberA400 get() = ColorComponents("#FFC400")
val amberA700 get() = ColorComponents("#FFAB00")



val gray50 get() = ColorComponents("#FAFAFA")
val gray100 get() = ColorComponents("#F5F5F5")
val gray200 get() = ColorComponents("#EEEEEE")
val gray300 get() = ColorComponents("#E0E0E0")
val gray400 get() = ColorComponents("#BDBDBD")
val gray500 get() = ColorComponents("#9E9E9E")
val gray600 get() = ColorComponents("#757575")
val gray700 get() = ColorComponents("#616161")
val gray800 get() = ColorComponents("#424242")
val gray900 get() = ColorComponents("#212121")
